Bug 43428 - DisplayName not saved in settings/usertemplate
DisplayName not saved in settings/usertemplate
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Philipp Hahn
Florian Best
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-26 15:14 CET by Philipp Hahn
Modified: 2017-04-04 18:29 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
hahn: Patch_Available+


Attachments
Bug #43428 udm: Remove options from user template (6.44 KB, patch)
2017-01-26 15:50 CET, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2017-01-26 15:14:41 CET
Task #6641 - UCS Technical training

udm settings/usertemplate create --position "cn=templates,cn=univention,$(ucr get ldap/base)" --set name=test --set displayName='<lastname>, <firstname>'
udm settings/usertemplate list --position "cn=templates,cn=univention,$(ucr get ldap/base)"|grep -v None

DN: cn=test,cn=templates,cn=univention,dc=schulung4,dc=ucs
  CtxCfgClientPrinters: 0
  disabled: 1
  CtxRASDialin: E
  CtxShadow: 00000000
  CtxStartprogramClient: 0
  CtxCfgPresent: 551e0bb0
  unixhome: /home/
  CtxReconnectSession: 0000
  shell: /bin/bash
  CtxCfgFlags1: 00000000
  CtxCfgDefaultClientPrinters: 0
  CtxBrokenSession: 0000
  name: test
  CtxCfgClientDrivers: 0
  CtxCfgTSLogon: 1

but not displayName!
Comment 1 Philipp Hahn univentionstaff 2017-01-26 15:41:04 CET
univention/admin/handlers/settings/usertemplate.py
 85 »···'displayName': univention.admin.property(
 89 »···»···options=['posix'],

See Bug #29672 for departmentNumber and employeeType
271 »···'departmentNumber': univention.admin.property(
276 »···»···options=['person'],
...
281 »···'employeeType': univention.admin.property(
286 »···»···options=['person'],

I would guess that "options" is handled wrong here.
Comment 2 Philipp Hahn univentionstaff 2017-01-26 15:50:16 CET
Created attachment 8378 [details]
Bug #43428 udm: Remove options from user template

settings/usertemplate itself has no options:
 50 options = {
 51 }
so the template strings are never saved
Comment 3 Philipp Hahn univentionstaff 2017-01-27 17:34:05 CET
r76155 | Bug #43428,Bug #42765,Bug #29672: udm usertemplate
r76154 | Bug #42765,Bug #43428,Bug #29672 test: usertemplate
r76153 | Bug #43428 udm: Remove options from user template

Package: univention-directory-manager-modules
Version: 12.0.12-6A~4.2.0.201701271722
Branch: ucs_4.2-0

r76156 | Bug #43428,Bug #42765,Bug #29672: udm usertemplate CL
Comment 4 Florian Best univentionstaff 2017-01-30 12:12:56 CET
OK: changes work
OK: changelog

btw. the selected options of a template aren't evaluated in UMC and therefore have no effect :/ :(
Comment 5 Stefan Gohmann univentionstaff 2017-04-04 18:29:24 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".